Subject: [Tigers] Differential oil

From: James Lindner <[email-masked]>
Date: Sat, 5 Nov 2022 16:00:03 -0400

Hello

One of my winter projects is to refresh the oil in my completely stock rear end differential on my Tiger. Cannot remember what I used 10 years ago, so I will completely drain and refill.

I have heard not to use the Redline 75W90NS (GL-5) which is what I “think” I used last time…but not sure. Hear I should stick with GL-4 for the rear end. I seem to recall I used the redline NS stuff because the NS meant “no sulfur” which is hard on the soft metals.

I plan to use Sta-Lube from NAPA (GL-4) in my transmission. I am one of the very few with an original Borg Warner T10 in my Tiger and that brand has been recommended on a couple of the BW sites I have checked out.

Recommendations for rear end oil?

Thanks

Jim

Sent from my iPad
_______________________________________________

[email-masked]

Donate: http://www.team.net/donate.html
Archive: http://www.team.net/pipermail/tigers http://autox.team.net/archive

Unsubscribe: http://autox.team.net/mailman/options/tigers/[email-masked]